//Installation script for GIP packages
function UninstallWork: string;
var  ini: TIniFile;
begin
  Result:='';
  Deletefile(GEOGET_DATADIR+'\MHD.gcl');
  Deletefile(GEOGET_DATADIR+'\MHD.ggf');
  Deletefile(GEOGET_DATADIR+'\MHD.db3');  //zalohy by to chtelo smazat taky
                                          //ale protoze testovat jmeno na format
                                          //s datem je "slozite" a muze tam byt
                                          //rozumny soubor s jinym prefixem nez
                                          //datum, na zalohy se vykaslu

  ini:=TIniFile.Create(GEOGET_DATADIR + '\dbdef.ini');
  try
    ini.EraseSection('MHD');
  finally
    ini.free;
  end;
end;

function InstallWork: string;
var ini: TIniFile;
begin
  //prekopirovat sloupce (MHD.gcl) a databazi do datadir, aby je bylo mozne pouzit
  //pro MHD.db3 a v prisdruzenem nastaveni (*.ggv.pas nechame v MHD, GG je tam
  //umi pouzivat)
  RenameFile(GEOGET_SCRIPTDIR+'\MHD\%GG_DATADIR%\MHD.gcl', GEOGET_DATADIR+'\MHD.gcl');
  RenameFile(GEOGET_SCRIPTDIR+'\MHD\%GG_DATADIR%\MHD.ggf', GEOGET_DATADIR+'\MHD.ggf');
  RenameFile(GEOGET_SCRIPTDIR+'\MHD\%GG_DATADIR%\MHD.db3', GEOGET_DATADIR+'\MHD.db3');
  DelTree(GEOGET_SCRIPTDIR+'\MHD\%GG_DATADIR%');
  //upravit pridruzena nastaveni
  ini:=TIniFile.Create(GEOGET_DATADIR+'\dbdef.ini');
  try
    ini.WriteString('MHD','columns','MHD');
    ini.WriteString('MHD','filter','MHD');
  finally
    ini.free;
  end;
  //zobrazime informaci o tom, co je to zac, kde ziskat data, ...
  ShowHTMLMessageSize('Informace o MHD',FileToString(GEOGET_SCRIPTDIR+'\MHD\MHD_info.html'),800,600);
  Result:='Databze MHD se v seznamu databz'+CRLF+'objev a po restartu Geogetu.';
end;
